import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
	title: "Space",
	titleTemplate: ":title - Space",
	description: "Má část Internetu",
	head: [
		["link", {rel: "icon", href: "/assets/favicon.png"}],
		["meta", {name: "theme-color", content: "#d0204a"}],
		["meta", {property: "og:site_name", content: "Space"}],
		["meta", {property: "twitter:site_name", content: "Space"}],
		["meta", {property: "og:image", content: "/assets/logo-space-bg.png?"}],
		["meta", {property: "twitter:image", content: "/assets/logo-space-bg.png?"}]
	],
	themeConfig: {
		logo: "/assets/favicon.png",
		// https://vitepress.dev/reference/default-theme-config
		nav: [
			{text: "Úvod", link: "/"},
			{text: "Software", link: "/software/"},
			{text: "Linux", link: "/linux/"},
			{text: "API", link: "/api/"},
		],
		sidebar: {
			"/api": [
				{
					text: "API",
					link: "/api/",
					items: [
						{text: "Email", link: "/api/email"},
						{text: "QR", link: "/api/qr"}
					]
				}
			],
			"/software": [
				{
					text: "Software",
					link: "/software/",
					items: [
						{text: "Programy a aplikace", link: "/software/apps"},
						{text: "Operační systémy", link: "/software/os"},
						{text: "Serverový software", link: "/software/server"}
					]
				},
				{
					text: "Výběr",
					items: [
						{text: "Firefox", link: "/software/firefox"}
					]
				}
			],
			"/linux": [
				{
					text: "Linux",
					link: "/linux/",
					items: [
						{text: "Grafická prostředí", link: "/linux/prostredi"},
						{text: "Kompatibilita", link: "/linux/kompatibilita"},
						{text: "Hry", link: "/linux/hry"}
					]
				}
			]
		},
		docFooter: {
			prev: "Předchozí",
			next: "Následující"
		},
		outlineTitle: "Na této stránce",
		returnToTopLabel: "Vrátit se nahoru",
		externalLinkIcon: true,
		editLink: {
			pattern: 'https://git.znachor.cz/Znachor/Space/_edit/master/:path',
			text: 'Upravit na Gitu'
		},
		lastUpdated: {
			text: 'Upraveno',
			formatOptions: {
				dateStyle: 'medium',
				timeStyle: 'short'
			}
		},
		search: {
			provider: 'local'
		}
	}
})
