---
title: Firefox
description: Rychlý, bezpečný a vysoce přizpůsobitelný open-source webový prohlížeč disponující vlastním vykreslovacím jádrem
---

# Firefox

Firefox je rychlý, bezpečný a vysoce přizpůsobitelný open-source webový prohlížeč disponující vlastním vykreslovacím jádrem, mnoha užitečnými funkcemi a rozšířeními.

Stáhnout jej můžete na [stránkách Mozilly](https://firefox.com), ale předinstalovaný je ve většině linuxových distribucích.

## Vylepšená konfigurace

Firefox bohužel ve výchozím nastavení nemá dobře nastavenou ochranu soukromí a také obsahuje spoustu zbytečných funkcí (Pocket, Firefox View, ...).

V [tomto repozitáři](https://git.znachor.cz/Znachor/Firefox) poskytuji svou **výchozí konfiguraci Firefoxu**, která se zaměřuje na **soukromí** a **rychlé prohlížení**, aniž by rozbíjela webové stránky a je tak **vhodná pro každého**. Pro instalaci konfigurace doporučuji založit nový profil a následně provést kroky popsané [v repozitáři](https://git.znachor.cz/Znachor/Firefox).

Pokud chcete mít Firefox rovnou s dobrým výchozím nastavením, doporučuji vyzkoušet [**LibreWolf**](https://librewolf.net). Jedná se o prohlížeč postavený na Firefoxu, který se zaměřuje na maximální soukormí. Má konfigurace je s ním také kompatibilní a nastaví jej do podobného stavu, jako čistý Firefox.

## Vyhledávače

Pro ochranu vašeho soukromí není dobré používat vyhledávače jako je Google či Bing a podobné, jelikož o uživatelích sbírají spousty dat které využívají k cílení reklam. Vybral jsem několik vyhledávačů, které by vám mohly vyhovovat a respektují i chrání vaše soukromí.

<Card>

[**Brave Search**](https://search.brave.com)
- Rychlý a soukromý vyhledávač s vlastním indexem.
- Dobrý na vyhledávání v angličtině a částečně i v češtině.
- [search.brave.com](https://search.brave.com) | dostupný [přes Tor](https://search.brave4u7jddbv7cyviptqjc7jusxh72uik7zt6adtckl5f4nwy2v72qd.onion)

</Card>
<Card>

[**Startpage**](https://startpage.com/)
- Rychlé a anonymní vyhledávání přes Google.
- Výsledky přebírá z Googlu, proto jsou tam téměř stejné.
- [www.startpage.com](https://startpage.com)

</Card>
<Card>

[**DuckDuckGo**](https://duckduckgo.com/)
- Soukromý vyhledávač, který vás nesleduje.
- Využívá výsledky z Bingu, které však nemusí všem vyhovovat.
- [www.duckduckgo.com](https://duckduckgo.com/) | dostupný [přes Tor](https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/)

</Card>


## Rozšíření

V této sekci najdete rozšíření *nejen* pro Firefox, která zlepší vaše soukromí a zjednoduší vám prohlížení.

Všechna zde uvedená rozšíření jsou open-source.

**Doporučená rozšíření**, která nesmí chybět

<Card>

[**uBlock Origin**](https://addons.mozilla.org/addon/ublock-origin/)
- Efektivní blokovač reklam, sledovačů, malwaru a dalšího nechtěného obsahu.

</Card>

**Užitečná rozšíření**, která se mohou hodit

<Card>

[**Bitwarden**](https://addons.mozilla.org/addon/bitwarden-password-manager/)
- Bezpečný, open-source a bezplatný správce hesel, který je možno self-hostovat.

</Card>
<Card>

[**Panorama Tab Groups**](https://addons.mozilla.org/addon/panorama-tab-groups/)
- Rozšíření na snadné seskupování a organizaci velkého množství panelů.

</Card>
<Card>

[**Dark Reader**](https://addons.mozilla.org/addon/darkreader/)
- Vynucení tmavého motivu na každé webové stránce.

</Card>
<Card>

[I still don't care about cookies](https://addons.mozilla.org/addon/istilldontcareaboutcookies/)
- Rozšíření na zbavení se otravných hlášek ohledně cookies.

</Card>
<Card>

[IPvFoo](https://addons.mozilla.org/addon/ipvfoo-pmarks/)
- Zobrazení IP vzdálených serverů, ke kterým se připojujete.

</Card>

**Další rozšíření**, která stojí za zmínku

- [Firefox Translations](https://addons.mozilla.org/addon/firefox-translations/) - lokální překladač stránek respektující vaše soukromí
- [SponsorBlock](https://addons.mozilla.org/addon/sponsorblock/) - blokování sponzorovaných segmentů na YouTube
- [Firefox Color](https://addons.mozilla.org/addon/firefox-color/) - přizpůsobení barev prohlížeče

## Problémy

Při používání Firefoxu jsem narazil na pár problémů, které se mi povedlo vyřešit, proto jejich řešení přikládám i sem.

### Hardwarová video akcelerace

Na Linuxu s Nvidia GPU mi nefungovala hardwarová video akcelerace, bylo potřeba provést tyto změny:

1. Na stránce `about:config` změnit následující:
	- `gfx.webrender.all` = `true`
	- `media.ffmpeg.vaapi.enabled` = `true`

2. Při používání **Wayland**u je potřeba zapnout Wayland mode pomocí env `MOZ_ENABLE_WAYLAND=1`

### Pomalé načítání stránek

Z neznámých důvodů načítal Firefox na Waylandu stránky na mém 144 Hz monitoru cca 3x pomaleji než na klasickém 60 Hz.

- Pomohlo vypnutí vsyncu a nastavení refresh hodnoty v `about:config`
	- `widget.wayland.vsync.enabled` = `false`
	- `layout.frame_rate` = `144`

## Další zdroje

Spoustu užitečných rad nejen ohledně Firefoxu na Linuxu najdete také na [Arch Linux Wiki](https://wiki.archlinux.org/title/Firefox).

<script setup>

import Card from '../components/Card.vue';

</script>