---
title: Operační systém
description: Operační systém je to hlavní v počítači, co umožňuje nějaké jeho normální používání
---

# 💿 Operační systém

Operační systém je to hlavní v počítači, co umožňuje nějaké jeho normální používání.

Za ty roky jsem si vyzkoušel již několik různých operačních systémů a proto bych se rád podělil o to, které systémy mi vyhovují nejvíce. 

## 🖥️ Desktopový OS

V současné době používám [**Fedora Linux**](https://fedoraproject.org), který jsem si oblíbil a zatím jsem s ním spokojený. Líbí se mi především přítomnost téměř nejnovějších verzí programů a také relativně čisté prostředí [GNOME](https://gnome.org).

Není to ovšem dlouho, co jsem používal [Ubuntu](https://ubuntu.com). Je to rozhodně pěkná distribuce, na které jsem svůj vstup do linuxového světa začal a sloužila dobře. Preferuji však [Flatpak](https://flatpak.org) před [Snapem](https://snapcraft.io), takže jsem se rozhodl přejít na Fedoru.

Stejně, jako pravděpodobně každý, jsem dříve také používal Windows. Již delší dobu mě však lákalo vyzkoušet Linux a po nějakém tom roku na něm mohu potvrdit, že už se vracet rozhodně nebudu.

## 🛡️ Serverový OS

Na většině svých serverů v této době používám [**Debian**](https://debian.org), který jsem si oblíbil především kvůli své stabilitě a lehkosti. Dneska jej používám především virtualizovaně nad hypervisorem [**Proxmox VE**](https://proxmox.com/en/proxmox-ve).

Některé mé servery také pohání [**Ubuntu Server**](https://ubuntu.com/server), a to většinou z důvodu lepší kompatibility s některým serverovým hardwarem nebo prostě jen z toho důvodu, že jsem se ještě nedostal k přechodu na Debian.

Mé první setkání se "serverem" proběhlo po instalaci [Raspberry Pi OS](https://www.raspberrypi.com/software/) (tehdy Raspbianu) na mé první koupené [Raspberry Pi](https://raspberrypi.com) (3B).


## 📱 Mobilní OS

Je to již několik let, co používám stock Android na svém Samsung Galaxy, nicméně v této době bych se podíval spíše po nějaké custom ROM, jako je například [GrapheneOS](https://grapheneos.org/) nebo [LineageOS](https://lineageos.org/), které jsou mnohem více zaměřené na soukromí.

V dnešní době se překvapivě hodně vývojářů věnuje projektům, které se snaží dostat na mobilní zařízení Linux, což mě pochopitelně velmi zaujalo. Ačkoli je vývoj softwaru na dobré cestě, problém je spíše v hardwaru. Například distribuce [postmarketOS](https://postmarketos.org/) podporuje relativně velké množství "běžných" mobilů, nicméně téměř každému chybí nějaká důležitá funkcionalita, jako je například možnost mobilních dat, volání a podobně.

Věřím, že by se Linux mohl brzy stát použitelným operačním systémem i na mobilních zařízeních. Osobně bych pravděpodobně volil nějaké prostředí odvozené z GNOME, jako je například [Phosh](https://wiki.postmarketos.org/wiki/Phosh) nebo [GNOME Shell for Mobile](https://wiki.postmarketos.org/wiki/Gnome_Shell_for_Mobile).